=== debian/changelog ===
cube2 (0.0.20201227+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@debian.org>  Tue, 02 Mar 2021 04:27:53 +0100

cube2 (0.0.20201227+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive.
  * Fix day-of-week for changelog entries 0.0.20071227.dfsg-1.

  [ Markus Koschany ]
  * New upstream version 0.0.20201227+dfsg.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Use canonical VCS URL.
  * Update get-sauerbraten-orig.sh and rename it to get-cube2-orig.sh.
  * Update debian/copyright for new release.
  * Rebase all patches.
  * Switch to SDL2.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Feb 2021 14:49:16 +0100
